<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/core/CL/kernels/CLLKTrackerKernel.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_c_l_l_k_tracker_kernel_8h_source.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">CLLKTrackerKernel.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_c_l_l_k_tracker_kernel_8h.xhtml">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2017 ARM Limited.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * SPDX-License-Identifier: MIT</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a copy</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * of this software and associated documentation files (the &quot;Software&quot;), to</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * deal in the Software without restriction, including without limitation the</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * sell copies of the Software, and to permit persons to whom the Software is</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * furnished to do so, subject to the following conditions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * The above copyright notice and this permission notice shall be included in all</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * copies or substantial portions of the Software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * SOFTWARE.</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#ifndef __ARM_COMPUTE_CLLKTRACKERKERNEL_H__</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#define __ARM_COMPUTE_CLLKTRACKERKERNEL_H__</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_i_c_l_array_8h.xhtml">arm_compute/core/CL/ICLArray.h</a>&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_i_c_l_kernel_8h.xhtml">arm_compute/core/CL/ICLKernel.h</a>&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_types_8h.xhtml">arm_compute/core/Types.h</a>&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;cstddef&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;cstdint&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacearm__compute.xhtml">arm_compute</a></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;{</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">class </span><a class="code" href="namespacearm__compute.xhtml#af87af588094f04e537df98eaf0426cb6">ICLTensor</a>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml">   39</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml">CLLKInternalKeypoint</a></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;{</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml#ad0da36b2558901e21e7a30f6c227a45e">   41</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml#ad0da36b2558901e21e7a30f6c227a45e">x</a>{ 0.f };               </div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml#aa4f0d3eebc3c443f9be81bf48561a217">   42</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml#aa4f0d3eebc3c443f9be81bf48561a217">y</a>{ 0.f };               </div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml#a08361efa212a9ab04a5965766ea942d5">   43</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml#a08361efa212a9ab04a5965766ea942d5">tracking_status</a>{ 0.f }; </div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml#aaf67d90c5e431e85ea2b7681537beab9">   44</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml#aaf67d90c5e431e85ea2b7681537beab9">dummy</a>{ 0.f };           </div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;};</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_coefficient_table.xhtml">   48</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structarm__compute_1_1_c_l_coefficient_table.xhtml">CLCoefficientTable</a></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;{</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_coefficient_table.xhtml#adde8ad2311dc11f75f5571a764c6af97">   50</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="structarm__compute_1_1_c_l_coefficient_table.xhtml#adde8ad2311dc11f75f5571a764c6af97">A11</a>;     </div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_coefficient_table.xhtml#a380c8116f7d47ce2367992bb986f9876">   51</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="structarm__compute_1_1_c_l_coefficient_table.xhtml#a380c8116f7d47ce2367992bb986f9876">A12</a>;     </div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_coefficient_table.xhtml#a20800b3d0475448767d2b30c530e1e29">   52</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="structarm__compute_1_1_c_l_coefficient_table.xhtml#a20800b3d0475448767d2b30c530e1e29">A22</a>;     </div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_coefficient_table.xhtml#a08ad73a840663cb2f4a6e040e507cbb7">   53</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="structarm__compute_1_1_c_l_coefficient_table.xhtml#a08ad73a840663cb2f4a6e040e507cbb7">min_eig</a>; </div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;};</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_old_value.xhtml">   57</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structarm__compute_1_1_c_l_old_value.xhtml">CLOldValue</a></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;{</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_old_value.xhtml#a1cff71bbc642cf572dd01d8e8bb46abd">   59</a></span>&#160;    int16_t <a class="code" href="structarm__compute_1_1_c_l_old_value.xhtml#a1cff71bbc642cf572dd01d8e8bb46abd">ival</a>;  </div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_old_value.xhtml#a02690aa257eaf55ce23da09759e95517">   60</a></span>&#160;    int16_t <a class="code" href="structarm__compute_1_1_c_l_old_value.xhtml#a02690aa257eaf55ce23da09759e95517">ixval</a>; </div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_old_value.xhtml#a92420f1bb5bb799a59e081a540e4c7ed">   61</a></span>&#160;    int16_t <a class="code" href="structarm__compute_1_1_c_l_old_value.xhtml#a92420f1bb5bb799a59e081a540e4c7ed">iyval</a>; </div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="structarm__compute_1_1_c_l_old_value.xhtml#a7531a17738ce5ec5517e2d160e7508a0">   62</a></span>&#160;    int16_t <a class="code" href="structarm__compute_1_1_c_l_old_value.xhtml#a7531a17738ce5ec5517e2d160e7508a0">dummy</a>; </div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;};</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="namespacearm__compute.xhtml#a569a32a7a853d4708fd4f4840c88a157">   65</a></span>&#160;<span class="keyword">using</span> <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLLKInternalKeypointArray</a> = <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLArray&lt;CLLKInternalKeypoint&gt;</a>;</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="namespacearm__compute.xhtml#a05d88c40a53babe38cb2cb5841c4a0ad">   66</a></span>&#160;<span class="keyword">using</span> <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLCoefficientTableArray</a>   = <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLArray&lt;CLCoefficientTable&gt;</a>;</div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="namespacearm__compute.xhtml#a0339a19c93dde6754834a7d4ec7dab73">   67</a></span>&#160;<span class="keyword">using</span> <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLOldValArray</a>             = <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLArray&lt;CLOldValue&gt;</a>;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_c_l_l_k_tracker_init_kernel.xhtml">   70</a></span>&#160;<span class="keyword">class </span><a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_init_kernel.xhtml">CLLKTrackerInitKernel</a> : <span class="keyword">public</span> <a class="code" href="classarm__compute_1_1_i_c_l_kernel.xhtml">ICLKernel</a></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;{</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keywordtype">void</span> configure(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLKeyPointArray</a> *old_points, <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLKeyPointArray</a> *new_points_estimates,</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;                   <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLLKInternalKeypointArray</a> *old_points_internal, <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLLKInternalKeypointArray</a> *new_points_internal,</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;                   <span class="keywordtype">bool</span> use_initial_estimate, <span class="keywordtype">size_t</span> level, <span class="keywordtype">size_t</span> num_levels, <span class="keywordtype">float</span> pyramid_scale);</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="comment">// Inherited methods overridden:</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keywordtype">void</span> run(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window, cl::CommandQueue &amp;queue) <span class="keyword">override</span>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;};</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_c_l_l_k_tracker_finalize_kernel.xhtml">   93</a></span>&#160;<span class="keyword">class </span><a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_finalize_kernel.xhtml">CLLKTrackerFinalizeKernel</a> : <span class="keyword">public</span> <a class="code" href="classarm__compute_1_1_i_c_l_kernel.xhtml">ICLKernel</a></div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;{</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keywordtype">void</span> configure(<a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLLKInternalKeypointArray</a> *new_points_internal, <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLKeyPointArray</a> *new_points);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="comment">// Inherited methods overridden:</span></div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keywordtype">void</span> run(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window, cl::CommandQueue &amp;queue) <span class="keyword">override</span>;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;};</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml">  108</a></span>&#160;<span class="keyword">class </span><a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml">CLLKTrackerStage0Kernel</a> : <span class="keyword">public</span> <a class="code" href="classarm__compute_1_1_i_c_l_kernel.xhtml">ICLKernel</a></div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;{</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml">CLLKTrackerStage0Kernel</a>();</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml">CLLKTrackerStage0Kernel</a>(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml">CLLKTrackerStage0Kernel</a> &amp;) = <span class="keyword">delete</span>;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml">CLLKTrackerStage0Kernel</a> &amp;operator=(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml">CLLKTrackerStage0Kernel</a> &amp;) = <span class="keyword">delete</span>;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml">CLLKTrackerStage0Kernel</a>(<a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml">CLLKTrackerStage0Kernel</a> &amp;&amp;) = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml">CLLKTrackerStage0Kernel</a> &amp;operator=(<a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml">CLLKTrackerStage0Kernel</a> &amp;&amp;) = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    <span class="keywordtype">void</span> configure(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_tensor.xhtml">ICLTensor</a> *old_input, <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_tensor.xhtml">ICLTensor</a> *old_scharr_gx, <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_tensor.xhtml">ICLTensor</a> *old_scharr_gy,</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;                   <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLLKInternalKeypointArray</a> *old_points_internal, <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLLKInternalKeypointArray</a> *new_points_internal,</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;                   <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLCoefficientTableArray</a> *coeff_table, <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLOldValArray</a> *old_ival,</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;                   <span class="keywordtype">size_t</span> window_dimension, <span class="keywordtype">size_t</span> level);</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="comment">// Inherited methods overridden:</span></div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    <span class="keywordtype">void</span> run(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window, cl::CommandQueue &amp;queue) <span class="keyword">override</span>;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_tensor.xhtml">ICLTensor</a> *_old_input;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_tensor.xhtml">ICLTensor</a> *_old_scharr_gx;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_tensor.xhtml">ICLTensor</a> *_old_scharr_gy;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;};</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml">  148</a></span>&#160;<span class="keyword">class </span><a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml">CLLKTrackerStage1Kernel</a> : <span class="keyword">public</span> <a class="code" href="classarm__compute_1_1_i_c_l_kernel.xhtml">ICLKernel</a></div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;{</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml">CLLKTrackerStage1Kernel</a>();</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml">CLLKTrackerStage1Kernel</a>(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml">CLLKTrackerStage1Kernel</a> &amp;) = <span class="keyword">delete</span>;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml">CLLKTrackerStage1Kernel</a> &amp;operator=(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml">CLLKTrackerStage1Kernel</a> &amp;) = <span class="keyword">delete</span>;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml">CLLKTrackerStage1Kernel</a>(<a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml">CLLKTrackerStage1Kernel</a> &amp;&amp;) = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml">CLLKTrackerStage1Kernel</a> &amp;operator=(<a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml">CLLKTrackerStage1Kernel</a> &amp;&amp;) = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    <span class="keywordtype">void</span> configure(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_tensor.xhtml">ICLTensor</a> *new_input, <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLLKInternalKeypointArray</a> *new_points_internal, <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLCoefficientTableArray</a> *coeff_table, <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLOldValArray</a> *old_ival,</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;                   <a class="code" href="namespacearm__compute.xhtml#a08c1503414e23f5dd10ff83492685453">Termination</a> termination, <span class="keywordtype">float</span> epsilon, <span class="keywordtype">size_t</span> num_iterations, <span class="keywordtype">size_t</span> window_dimension, <span class="keywordtype">size_t</span> level);</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    <span class="comment">// Inherited methods overridden:</span></div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    <span class="keywordtype">void</span> run(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window, cl::CommandQueue &amp;queue) <span class="keyword">override</span>;</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_tensor.xhtml">ICLTensor</a> *_new_input;</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;};</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;}</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/*__ARM_COMPUTE_CLLKTRACKERKERNEL_H__ */</span><span class="preprocessor"></span></div><div class="ttc" id="classarm__compute_1_1_c_l_l_k_tracker_init_kernel_xhtml"><div class="ttname"><a href="classarm__compute_1_1_c_l_l_k_tracker_init_kernel.xhtml">arm_compute::CLLKTrackerInitKernel</a></div><div class="ttdoc">Interface to run the initialization step of LKTracker. </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00070">CLLKTrackerKernel.h:70</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_coefficient_table_xhtml_a20800b3d0475448767d2b30c530e1e29"><div class="ttname"><a href="structarm__compute_1_1_c_l_coefficient_table.xhtml#a20800b3d0475448767d2b30c530e1e29">arm_compute::CLCoefficientTable::A22</a></div><div class="ttdeci">float A22</div><div class="ttdoc">iA11 * FLT_SCALE </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00052">CLLKTrackerKernel.h:52</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_old_value_xhtml_a02690aa257eaf55ce23da09759e95517"><div class="ttname"><a href="structarm__compute_1_1_c_l_old_value.xhtml#a02690aa257eaf55ce23da09759e95517">arm_compute::CLOldValue::ixval</a></div><div class="ttdeci">int16_t ixval</div><div class="ttdoc">ixval extracts from scharr Gx image </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00060">CLLKTrackerKernel.h:60</a></div></div>
<div class="ttc" id="_i_c_l_array_8h_xhtml"><div class="ttname"><a href="_i_c_l_array_8h.xhtml">ICLArray.h</a></div></div>
<div class="ttc" id="_types_8h_xhtml"><div class="ttname"><a href="_types_8h.xhtml">Types.h</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_old_value_xhtml"><div class="ttname"><a href="structarm__compute_1_1_c_l_old_value.xhtml">arm_compute::CLOldValue</a></div><div class="ttdoc">Structure for storing ival, ixval and iyval for each point inside the window. </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00057">CLLKTrackerKernel.h:57</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_l_k_internal_keypoint_xhtml_aa4f0d3eebc3c443f9be81bf48561a217"><div class="ttname"><a href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml#aa4f0d3eebc3c443f9be81bf48561a217">arm_compute::CLLKInternalKeypoint::y</a></div><div class="ttdeci">float y</div><div class="ttdoc">y coordinate of the keypoint </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00042">CLLKTrackerKernel.h:42</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_l_k_internal_keypoint_xhtml_a08361efa212a9ab04a5965766ea942d5"><div class="ttname"><a href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml#a08361efa212a9ab04a5965766ea942d5">arm_compute::CLLKInternalKeypoint::tracking_status</a></div><div class="ttdeci">float tracking_status</div><div class="ttdoc">the tracking status of the keypoint </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00043">CLLKTrackerKernel.h:43</a></div></div>
<div class="ttc" id="classarm__compute_1_1_i_c_l_kernel_xhtml"><div class="ttname"><a href="classarm__compute_1_1_i_c_l_kernel.xhtml">arm_compute::ICLKernel</a></div><div class="ttdoc">Common interface for all the OpenCL kernels. </div><div class="ttdef"><b>Definition:</b> <a href="_i_c_l_kernel_8h_source.xhtml#l00036">ICLKernel.h:36</a></div></div>
<div class="ttc" id="namespacearm__compute_xhtml"><div class="ttname"><a href="namespacearm__compute.xhtml">arm_compute</a></div><div class="ttdef"><b>Definition:</b> <a href="arm__compute_8dox_source.xhtml#l00001">arm_compute.dox:1</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_coefficient_table_xhtml_adde8ad2311dc11f75f5571a764c6af97"><div class="ttname"><a href="structarm__compute_1_1_c_l_coefficient_table.xhtml#adde8ad2311dc11f75f5571a764c6af97">arm_compute::CLCoefficientTable::A11</a></div><div class="ttdeci">float A11</div><div class="ttdoc">iA11 * FLT_SCALE </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00050">CLLKTrackerKernel.h:50</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_l_k_internal_keypoint_xhtml_aaf67d90c5e431e85ea2b7681537beab9"><div class="ttname"><a href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml#aaf67d90c5e431e85ea2b7681537beab9">arm_compute::CLLKInternalKeypoint::dummy</a></div><div class="ttdeci">float dummy</div><div class="ttdoc">Dummy field, to make sure the data structure 128-bit align, so that GPU can use vload4. </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00044">CLLKTrackerKernel.h:44</a></div></div>
<div class="ttc" id="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel_xhtml"><div class="ttname"><a href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml">arm_compute::CLLKTrackerStage0Kernel</a></div><div class="ttdoc">Interface to run the first stage of LKTracker, where A11, A12, A22, min_eig, ival, ixval and iyval are computed. </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00108">CLLKTrackerKernel.h:108</a></div></div>
<div class="ttc" id="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel_xhtml"><div class="ttname"><a href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml">arm_compute::CLLKTrackerStage1Kernel</a></div><div class="ttdoc">Interface to run the second stage of LKTracker, where the motion vectors of the given points are comp...</div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00148">CLLKTrackerKernel.h:148</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_old_value_xhtml_a7531a17738ce5ec5517e2d160e7508a0"><div class="ttname"><a href="structarm__compute_1_1_c_l_old_value.xhtml#a7531a17738ce5ec5517e2d160e7508a0">arm_compute::CLOldValue::dummy</a></div><div class="ttdeci">int16_t dummy</div><div class="ttdoc">Dummy field, to make sure the data structure 128-bit align, so that GPU can use vload4. </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00062">CLLKTrackerKernel.h:62</a></div></div>
<div class="ttc" id="classarm__compute_1_1_i_c_l_array_xhtml"><div class="ttname"><a href="classarm__compute_1_1_i_c_l_array.xhtml">arm_compute::ICLArray</a></div><div class="ttdoc">Interface for OpenCL Array. </div><div class="ttdef"><b>Definition:</b> <a href="_i_c_l_array_8h_source.xhtml#l00035">ICLArray.h:35</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_coefficient_table_xhtml"><div class="ttname"><a href="structarm__compute_1_1_c_l_coefficient_table.xhtml">arm_compute::CLCoefficientTable</a></div><div class="ttdoc">Structure for storing Spatial Gradient Matrix and the minimum eigenvalue for each keypoint...</div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00048">CLLKTrackerKernel.h:48</a></div></div>
<div class="ttc" id="_i_c_l_kernel_8h_xhtml"><div class="ttname"><a href="_i_c_l_kernel_8h.xhtml">ICLKernel.h</a></div></div>
<div class="ttc" id="namespacearm__compute_xhtml_a08c1503414e23f5dd10ff83492685453"><div class="ttname"><a href="namespacearm__compute.xhtml#a08c1503414e23f5dd10ff83492685453">arm_compute::Termination</a></div><div class="ttdeci">Termination</div><div class="ttdoc">Termination criteria. </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00217">Types.h:217</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_coefficient_table_xhtml_a08ad73a840663cb2f4a6e040e507cbb7"><div class="ttname"><a href="structarm__compute_1_1_c_l_coefficient_table.xhtml#a08ad73a840663cb2f4a6e040e507cbb7">arm_compute::CLCoefficientTable::min_eig</a></div><div class="ttdeci">float min_eig</div><div class="ttdoc">Minimum eigenvalue. </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00053">CLLKTrackerKernel.h:53</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_l_k_internal_keypoint_xhtml_ad0da36b2558901e21e7a30f6c227a45e"><div class="ttname"><a href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml#ad0da36b2558901e21e7a30f6c227a45e">arm_compute::CLLKInternalKeypoint::x</a></div><div class="ttdeci">float x</div><div class="ttdoc">x coordinate of the keypoint </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00041">CLLKTrackerKernel.h:41</a></div></div>
<div class="ttc" id="namespacearm__compute_xhtml_af87af588094f04e537df98eaf0426cb6"><div class="ttname"><a href="namespacearm__compute.xhtml#af87af588094f04e537df98eaf0426cb6">arm_compute::ICLTensor</a></div><div class="ttdeci">ICLImage ICLTensor</div><div class="ttdef"><b>Definition:</b> <a href="_c_l_histogram_8h_source.xhtml#l00034">CLHistogram.h:34</a></div></div>
<div class="ttc" id="classarm__compute_1_1_i_c_l_tensor_xhtml"><div class="ttname"><a href="classarm__compute_1_1_i_c_l_tensor.xhtml">arm_compute::ICLTensor</a></div><div class="ttdoc">Interface for OpenCL tensor. </div><div class="ttdef"><b>Definition:</b> <a href="_i_c_l_tensor_8h_source.xhtml#l00040">ICLTensor.h:40</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_l_k_internal_keypoint_xhtml"><div class="ttname"><a href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml">arm_compute::CLLKInternalKeypoint</a></div><div class="ttdoc">Internal keypoint structure for Lucas-Kanade Optical Flow. </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00039">CLLKTrackerKernel.h:39</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_old_value_xhtml_a92420f1bb5bb799a59e081a540e4c7ed"><div class="ttname"><a href="structarm__compute_1_1_c_l_old_value.xhtml#a92420f1bb5bb799a59e081a540e4c7ed">arm_compute::CLOldValue::iyval</a></div><div class="ttdeci">int16_t iyval</div><div class="ttdoc">iyval extracts from scharr Gy image </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00061">CLLKTrackerKernel.h:61</a></div></div>
<div class="ttc" id="classarm__compute_1_1_c_l_l_k_tracker_finalize_kernel_xhtml"><div class="ttname"><a href="classarm__compute_1_1_c_l_l_k_tracker_finalize_kernel.xhtml">arm_compute::CLLKTrackerFinalizeKernel</a></div><div class="ttdoc">Interface to run the finalize step of LKTracker, where it truncates the coordinates stored in new_poi...</div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00093">CLLKTrackerKernel.h:93</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_old_value_xhtml_a1cff71bbc642cf572dd01d8e8bb46abd"><div class="ttname"><a href="structarm__compute_1_1_c_l_old_value.xhtml#a1cff71bbc642cf572dd01d8e8bb46abd">arm_compute::CLOldValue::ival</a></div><div class="ttdeci">int16_t ival</div><div class="ttdoc">ival extracts from old image </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00059">CLLKTrackerKernel.h:59</a></div></div>
<div class="ttc" id="classarm__compute_1_1_window_xhtml"><div class="ttname"><a href="classarm__compute_1_1_window.xhtml">arm_compute::Window</a></div><div class="ttdoc">Describe a multidimensional execution window. </div><div class="ttdef"><b>Definition:</b> <a href="_window_8h_source.xhtml#l00039">Window.h:39</a></div></div>
<div class="ttc" id="structarm__compute_1_1_c_l_coefficient_table_xhtml_a380c8116f7d47ce2367992bb986f9876"><div class="ttname"><a href="structarm__compute_1_1_c_l_coefficient_table.xhtml#a380c8116f7d47ce2367992bb986f9876">arm_compute::CLCoefficientTable::A12</a></div><div class="ttdeci">float A12</div><div class="ttdoc">iA11 * FLT_SCALE </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00051">CLLKTrackerKernel.h:51</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_1fb090f0c6070330bfaccc4236d3ca0d.xhtml">core</a></li><li class="navelem"><a class="el" href="dir_1633709b037eda5b8477677909f78129.xhtml">CL</a></li><li class="navelem"><a class="el" href="dir_f906bbebc596bc606d589ccb705e6595.xhtml">kernels</a></li><li class="navelem"><a class="el" href="_c_l_l_k_tracker_kernel_8h.xhtml">CLLKTrackerKernel.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
